## Name

CLUSTER NAME — preamble - identifying Slony-I cluster

## Synopsis

`CLUSTER NAME =` [`'clustername';`]

## Description

Must be the very first statement in every slonik script. It defines the namespace in which all Slony-I specific functions, procedures, tables and sequences are defined. The namespace name is built by prefixing the given string literal with an underscore. This namespace will be identical in all databases that participate in the same replication group.

No user objects are supposed to live in this namespace, and the namespace is not allowed to exist prior to adding a database to the replication system. Thus, if you add a new node using `pg_dump -s` on a database that is already in the cluster of replicated databases, you will need to drop the namespace via the SQL command `DROP SCHEMA _testcluster CASCADE;` .

## Example

         CLUSTER NAME = 'testcluster';